OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.KHR.BlendEquationAdvanced

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetKHRBlendEquationAdvanced :: MonadIO m => m Bool
- gl_KHR_blend_equation_advanced :: Bool
- pattern GL_COLORBURN_KHR :: GLenum
- pattern GL_COLORDODGE_KHR :: GLenum
- pattern GL_DARKEN_KHR :: GLenum
- pattern GL_DIFFERENCE_KHR :: GLenum
- pattern GL_EXCLUSION_KHR :: GLenum
- pattern GL_HARDLIGHT_KHR :: GLenum
- pattern GL_HSL_COLOR_KHR :: GLenum
- pattern GL_HSL_HUE_KHR :: GLenum
- pattern GL_HSL_LUMINOSITY_KHR :: GLenum
- pattern GL_HSL_SATURATION_KHR :: GLenum
- pattern GL_LIGHTEN_KHR :: GLenum
- pattern GL_MULTIPLY_KHR :: GLenum
- pattern GL_OVERLAY_KHR :: GLenum
- pattern GL_SCREEN_KHR :: GLenum
- pattern GL_SOFTLIGHT_KHR :: GLenum
- glBlendBarrierKHR :: MonadIO m => m ()

# Extension Support

glGetKHRBlendEquationAdvanced :: MonadIO m => m Bool Source #

Is the KHR_blend_equation_advanced extension supported?

gl_KHR_blend_equation_advanced :: Bool Source #

Is the KHR_blend_equation_advanced extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRBlendEquationAdvanced` in those cases instead.

# Enums

pattern GL_COLORBURN_KHR :: GLenum Source #

pattern GL_COLORDODGE_KHR :: GLenum Source #

pattern GL_DARKEN_KHR :: GLenum Source #

pattern GL_DIFFERENCE_KHR :: GLenum Source #

pattern GL_EXCLUSION_KHR :: GLenum Source #

pattern GL_HARDLIGHT_KHR :: GLenum Source #

pattern GL_HSL_COLOR_KHR :: GLenum Source #

pattern GL_HSL_HUE_KHR :: GLenum Source #

pattern GL_HSL_LUMINOSITY_KHR :: GLenum Source #

pattern GL_HSL_SATURATION_KHR :: GLenum Source #

pattern GL_LIGHTEN_KHR :: GLenum Source #

pattern GL_MULTIPLY_KHR :: GLenum Source #

pattern GL_OVERLAY_KHR :: GLenum Source #

pattern GL_SCREEN_KHR :: GLenum Source #

pattern GL_SOFTLIGHT_KHR :: GLenum Source #

# Functions

glBlendBarrierKHR :: MonadIO m => m () Source #

This command is an alias for `glBlendBarrier`.